* PACKAGE GTINTFC  !" GTOOL3 実数精度変換インターフェース(ZTPGET)
*
*"  [HIS] 96/03/11(takepiro) 自動倍精度コンパイル禁止
*"                           整数を参照する時は GTPGET を直接用いること
*********************************************************************
*"         << 共通パラメータ（実数）を参照 >>
*********************************************************************
      SUBROUTINE ZTPGET
     I         ( HP,
     O           RPARA )
*
      CHARACTER HP   *(*)        !" パラメーターの名前
#ifdef AUTO_DBL
      REAL*8  RPARA              ! パラメーターの内容：実数(倍精度)
#else
      REAL*4  RPARA              ! パラメーターの内容：実数(単精度)
#endif
*
      REAL*4  RPARAX
*
      CALL GTPGET
     I         ( HP,
     O           RPARAX )
*
      RPARA = RPARAX
*
      RETURN
      END
